%define name w3
%define version 4.0pre.39
%define release 2

Summary: WWW browser for emacs
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Packager: Pavel Janik ml. <Pavel.Janik@linux.cz>
Vendor: Czech Linux Users' Group
Distribution: Red Hat Linux 5.2 Czech
Group: Applications/Editors/Emacs
URL: http://www.cs.indiana.edu/usr/local/www/elisp/%{name}/docs.html
Source0: ftp://ftp.cs.indiana.edu/pub/elisp/%{name}/%{name}-%{version}.tar.gz
Requires: emacs >= 20.3
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
Emacs/W3 is a full-featured web browser, written entirely in
Emacs-Lisp, that supports all the bells and whistles you will find in
use on the web today, including frames, tables, stylesheets, and much
more.  

%prep

%setup -q

%build
./configure --prefix=/usr \
	    --with-lispdir='$(prefix)/share/emacs/site-lisp' \
	    --datadir='$(prefix)/share/emacs/site-lisp/etc' \
            --enable-site-install

make all dvi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr install dotemacs

sed "s^$RPM_BUILD_ROOT^^" $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/default.el \
    >$RPM_BUILD_ROOT/usr/share/emacs/site-lisp/w3-init.el

rm -f $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/default.el

gzip -9 texi/*dvi texi/*txi
mv texi/*.gz .

rm -f $RPM_BUILD_ROOT/usr/info/dir
gzip -9 $RPM_BUILD_ROOT/usr/info/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/w3.info.gz /usr/info/dir --section Emacs
/sbin/install-info /usr/info/w3-faq.info.gz /usr/info/dir --section Emacs

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/w3.info.gz /usr/info/dir
    /sbin/install-info --delete /usr/info/w3-faq.info.gz /usr/info/dir
fi

%files
%doc ChangeLog README HOWTO TODO contrib w3-faq.dvi.gz w3-faq.txi.gz w3.dvi.gz w3.txi.gz
/usr/share/emacs/site-lisp/*
/usr/info/*
